<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\TnListen\ShowTnListen;

class DozShowTnListenController extends \Kufer\KuferTools\Basis\PdfListen\TnListen\ShowTnListen\ShowTnListenController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new DozShowTnListenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getId()
  {
    return \RequestOperations::getVarValue('knr');
  }
}